Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_stats.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_stats.h	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_stats.h	(revision 374)
@@ -0,0 +1,161 @@
+
+/** \addtogroup platform */
+/** @{*/
+/**
+ * \defgroup platform_stats stats functions
+ * @{
+ */
+/* mbed Microcontroller Library
+ * Copyright (c) 2016-2018 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+#ifndef MBED_STATS_H
+#define MBED_STATS_H
+#include <stdint.h>
+#include <stddef.h>
+#include "hal/ticker_api.h"
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#ifdef MBED_ALL_STATS_ENABLED
+#define MBED_SYS_STATS_ENABLED      1
+#define MBED_STACK_STATS_ENABLED    1
+#define MBED_CPU_STATS_ENABLED      1
+#define MBED_HEAP_STATS_ENABLED     1
+#define MBED_THREAD_STATS_ENABLED   1
+#endif
+
+/**
+ * struct mbed_stats_heap_t definition
+ */
+typedef struct {
+    uint32_t current_size;      /**< Bytes allocated currently. */
+    uint32_t max_size;          /**< Max bytes allocated at a given time. */
+    uint32_t total_size;        /**< Cumulative sum of bytes ever allocated. */
+    uint32_t reserved_size;     /**< Current number of bytes allocated for the heap. */
+    uint32_t alloc_cnt;         /**< Current number of allocations. */
+    uint32_t alloc_fail_cnt;    /**< Number of failed allocations. */
+} mbed_stats_heap_t;
+
+/**
+ *  Fill the passed in heap stat structure with heap stats.
+ *
+ *  @param stats    A pointer to the mbed_stats_heap_t structure to fill
+ */
+void mbed_stats_heap_get(mbed_stats_heap_t *stats);
+
+/**
+ * struct mbed_stats_stack_t definition
+ */
+typedef struct {
+    uint32_t thread_id;         /**< Identifier for thread that owns the stack or 0 if multiple threads. */
+    uint32_t max_size;          /**< Maximum number of bytes used on the stack. */
+    uint32_t reserved_size;     /**< Current number of bytes allocated for the stack. */
+    uint32_t stack_cnt;         /**< Number of stacks stats accumulated in the structure. */
+} mbed_stats_stack_t;
+
+/**
+ *  Fill the passed in structure with stack stats accumulated for all threads. The thread_id will be 0
+ *  and stack_cnt will represent number of threads.
+ *
+ *  @param stats    A pointer to the mbed_stats_stack_t structure to fill
+ */
+void mbed_stats_stack_get(mbed_stats_stack_t *stats);
+
+/**
+ *  Fill the passed array of stat structures with the stack stats for each available thread.
+ *
+ *  @param stats    A pointer to an array of mbed_stats_stack_t structures to fill
+ *  @param count    The number of mbed_stats_stack_t structures in the provided array
+ *  @return         The number of mbed_stats_stack_t structures that have been filled,
+ *                  this is equal to the number of stacks on the system.
+ */
+size_t mbed_stats_stack_get_each(mbed_stats_stack_t *stats, size_t count);
+
+/**
+ * struct mbed_stats_cpu_t definition
+ */
+typedef struct {
+    us_timestamp_t uptime;            /**< Time since system is up and running */
+    us_timestamp_t idle_time;         /**< Time spent in idle thread since system is up and running */
+    us_timestamp_t sleep_time;        /**< Time spent in sleep since system is up and running */
+    us_timestamp_t deep_sleep_time;   /**< Time spent in deep sleep since system is up and running */
+} mbed_stats_cpu_t;
+
+/**
+ *  Fill the passed in CPU stat structure with CPU statistics.
+ *
+ *  @param stats    A pointer to the mbed_stats_cpu_t structure to fill
+ */
+void mbed_stats_cpu_get(mbed_stats_cpu_t *stats);
+
+/**
+ * struct mbed_stats_thread_t definition
+ */
+typedef struct {
+    uint32_t id;                /**< Thread Object Identifier */
+    uint32_t state;             /**< Thread Object State */
+    uint32_t priority;          /**< Thread Priority */
+    uint32_t stack_size;        /**< Thread Stack Size */
+    uint32_t stack_space;       /**< Thread remaining stack size */
+    const char   *name;         /**< Thread Object name */
+} mbed_stats_thread_t;
+
+/**
+ *  Fill the passed array of stat structures with the thread stats for each available thread.
+ *
+ *  @param stats    A pointer to an array of mbed_stats_thread_t structures to fill
+ *  @param count    The number of mbed_stats_thread_t structures in the provided array
+ *  @return         The number of mbed_stats_thread_t structures that have been filled,
+ *                  this is equal to the number of threads on the system.
+ */
+size_t mbed_stats_thread_get_each(mbed_stats_thread_t *stats, size_t count);
+
+/**
+ * enum mbed_compiler_id_t definition
+ */
+typedef enum {
+    ARM = 1,                    /**< ARM */
+    GCC_ARM,                    /**< GNU ARM */
+    IAR                         /**< IAR */
+} mbed_compiler_id_t;
+
+/**
+ * struct mbed_stats_sys_t definition
+ */
+typedef struct {
+    uint32_t os_version;                /**< Mbed OS Version (Release only) */
+    uint32_t cpu_id;                    /**< CPUID Register data (Cortex-M only supported) */
+    mbed_compiler_id_t compiler_id;     /**< Compiler ID \ref mbed_compiler_id_t */
+    uint32_t compiler_version;          /**< Compiler version */
+} mbed_stats_sys_t;
+
+/**
+ *  Fill the passed in sys stat structure with system stats.
+ *
+ *  @param stats    A pointer to the mbed_stats_sys_t structure to fill
+ */
+void mbed_stats_sys_get(mbed_stats_sys_t *stats);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+
+/** @}*/
+
+/** @}*/
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_toolchain.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_toolchain.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_toolchain.h	(revision 374)
@@ -2,4 +2,9 @@
 /** \addtogroup platform */
 /** @{*/
+/**
+ * \defgroup platform_toolchain Toolchain functions
+ * @{
+ */
+
 /* mbed Microcontroller Library
  * Copyright (c) 2006-2013 ARM Limited
@@ -93,9 +98,35 @@
 #endif
 
+/** MBED_USED
+ *  Inform the compiler that a static variable is to be retained in the object file, even if it is unreferenced.
+ *
+ *  @code
+ *  #include "mbed_toolchain.h"
+ *
+ *  MBED_USED int foo;
+ *
+ *  @endcode
+ */
+#ifndef MBED_USED
+#if defined(__GNUC__) || defined(__clang__) || defined(__CC_ARM)
+#define MBED_USED __attribute__((used))
+#elif defined(__ICCARM__)
+#define MBED_USED __root
+#else
+#define MBED_USED
+#endif
+#endif
+
 /** MBED_WEAK
  *  Mark a function as being weak.
  *  
  *  @note
- *  weak functions are not friendly to making code re-usable, as they can only
+ *  Functions should only be marked as weak in the source file. The header file
+ *  should contain a regular function declaration to insure the function is emitted.
+ *  A function marked weak will not be emitted if an alternative non-weak
+ *  implementation is defined.
+ *
+ *  @note
+ *  Weak functions are not friendly to making code re-usable, as they can only
  *  be overridden once (and if they are multiply overridden the linker will emit
  *  no warning). You should not normally use weak symbols as part of the API to
@@ -135,4 +166,25 @@
 #else
 #define MBED_PURE
+#endif
+#endif
+
+/** MBED_NOINLINE
+ *  Declare a function that must not be inlined.
+ *
+ *  @code
+ *  #include "mbed_toolchain.h"
+ *
+ *  MBED_NOINLINE void foo() {
+ *
+ *  }
+ *  @endcode
+ */
+#ifndef MBED_NOINLINE
+#if defined(__GNUC__) || defined(__clang__) || defined(__CC_ARM)
+#define MBED_NOINLINE __attribute__((noinline))
+#elif defined(__ICCARM__)
+#define MBED_NOINLINE _Pragma("inline=never")
+#else
+#define MBED_NOINLINE
 #endif
 #endif
@@ -279,4 +331,64 @@
 #endif
 
+/**
+ * Macro expanding to a string literal of the enclosing function name.
+ *
+ * The string returned takes into account language specificity and yield human
+ * readable content.
+ *
+ * As an example, if the macro is used within a C++ function then the string
+ * literal containing the function name will contain the complete signature of
+ * the function - including template parameters - and namespace qualifications.
+ */
+#ifndef MBED_PRETTY_FUNCTION
+#define MBED_PRETTY_FUNCTION __PRETTY_FUNCTION__
+#endif
+
+#ifndef MBED_PRINTF
+#if defined(__GNUC__) || defined(__CC_ARM)
+#define MBED_PRINTF(format_idx, first_param_idx) __attribute__ ((__format__(__printf__, format_idx, first_param_idx)))
+#else
+#define MBED_PRINTF(format_idx, first_param_idx)
+#endif
+#endif
+
+#ifndef MBED_PRINTF_METHOD
+#if defined(__GNUC__) || defined(__CC_ARM)
+#define MBED_PRINTF_METHOD(format_idx, first_param_idx) __attribute__ ((__format__(__printf__, format_idx+1, first_param_idx+1)))
+#else
+#define MBED_PRINTF_METHOD(format_idx, first_param_idx)
+#endif
+#endif
+
+#ifndef MBED_SCANF
+#if defined(__GNUC__) || defined(__CC_ARM)
+#define MBED_SCANF(format_idx, first_param_idx) __attribute__ ((__format__(__scanf__, format_idx, first_param_idx)))
+#else
+#define MBED_SCANF(format_idx, first_param_idx)
+#endif
+#endif
+
+#ifndef MBED_SCANF_METHOD
+#if defined(__GNUC__) || defined(__CC_ARM)
+#define MBED_SCANF_METHOD(format_idx, first_param_idx) __attribute__ ((__format__(__scanf__, format_idx+1, first_param_idx+1)))
+#else
+#define MBED_SCANF_METHOD(format_idx, first_param_idx)
+#endif
+#endif
+
+// Macro containing the filename part of the value of __FILE__. Defined as
+// string literal.
+#ifndef MBED_FILENAME
+#if defined(__CC_ARM)
+#define MBED_FILENAME __MODULE__
+#elif defined(__GNUC__)
+#define MBED_FILENAME (__builtin_strrchr(__FILE__, '/') ? __builtin_strrchr(__FILE__, '/') + 1 : __builtin_strrchr(__FILE__, '\\') ? __builtin_strrchr(__FILE__, '\\') + 1 : __FILE__)
+#elif defined(__ICCARM__)
+#define MBED_FILENAME (strrchr(__FILE__, '/') ? strrchr(__FILE__, '/') + 1 : strrchr(__FILE__, '\\') ? strrchr(__FILE__, '\\') + 1 : __FILE__)
+#else
+#define MBED_FILENAME __FILE__
+#endif
+#endif // #ifndef MBED_FILENAME
+
 // FILEHANDLE declaration
 #if defined(TOOLCHAIN_ARM)
@@ -301,5 +413,27 @@
 #endif
 
+/** MBED_NONSECURE_ENTRY
+ *  Declare a function that can be called from non-secure world or secure world
+ *
+ *  @code
+ *  #include "mbed_toolchain.h"
+ *
+ *  MBED_NONSECURE_ENTRY void foo() {
+ *
+ *  }
+ *  @endcode
+ */
+#if defined (__ARM_FEATURE_CMSE) && (__ARM_FEATURE_CMSE == 3L)
+#if defined (__ICCARM__)
+#define MBED_NONSECURE_ENTRY       __cmse_nonsecure_entry
+#else
+#define MBED_NONSECURE_ENTRY       __attribute__((cmse_nonsecure_entry))
+#endif
+#else
+#define MBED_NONSECURE_ENTRY
+#endif
+
 #endif
 
 /** @}*/
+/** @}*/
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_version.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_version.h	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_version.h	(revision 374)
@@ -0,0 +1,71 @@
+
+/** \addtogroup platform */
+/** @{*/
+/**
+ * \defgroup platform_version Version macros
+ * @{
+ */
+/* mbed Microcontroller Library
+ * Copyright (c) 2018 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+#ifndef MBED_VERSION_H
+#define MBED_VERSION_H
+
+/** MBED_MAJOR_VERSION
+  * Mbed OS major version
+  *
+  * @note 99 is default value for development version (master branch)
+  */
+#define MBED_MAJOR_VERSION 5
+
+/** MBED_MINOR_VERSION
+  * Mbed OS minor version
+  *
+  * @note 99 is default value for development version (master branch)
+  */
+#define MBED_MINOR_VERSION 10
+
+/** MBED_PATCH_VERSION
+  * Mbed OS patch version
+  *
+  * @note 99 is default value for development version (master branch)
+  */
+#define MBED_PATCH_VERSION 0
+
+#define MBED_ENCODE_VERSION(major, minor, patch) ((major)*10000 + (minor)*100 + (patch))
+
+/** MBED_VERSION
+  * Mbed OS 5 version (MMmmpp - M(Major); m(minor); p(patch))
+  *
+  * @note 999999 is default value for development version (master branch)
+  */
+#define MBED_VERSION MBED_ENCODE_VERSION(MBED_MAJOR_VERSION, MBED_MINOR_VERSION, MBED_PATCH_VERSION)
+
+/** MBED_VERSION_CHECK
+  * Macro can be used to check minimum Mbed OS version required for feature/library. If current version
+  * is less than required, it will assert.
+  *
+  * @note: Version of master branch will be 999999 as default, hence no assert/warning is provided for
+  * master branch code
+  */
+#define MBED_VERSION_CHECK(major, minor, patch) do { \
+                                       MBED_STATIC_ASSERT((MBED_VERSION >= MBED_ENCODE_VERSION((major),(minor),(patch))), "Incompatible mbed-os version detected!!"); \
+                                     } while(0)
+
+#endif
+
+/** @}*/
+/** @}*/
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_wait_api.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_wait_api.h	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_wait_api.h	(revision 374)
@@ -2,4 +2,9 @@
 /** \addtogroup platform */
 /** @{*/
+/**
+ * \defgroup platform_wait_api wait_api functions
+ * @{
+ */
+
 /* mbed Microcontroller Library
  * Copyright (c) 2006-2013 ARM Limited
@@ -42,4 +47,5 @@
  *     }
  * }
+ * @endcode
  */
 
@@ -48,4 +54,9 @@
  *
  *  @param s number of seconds to wait
+ *
+ *  @note
+ *    If the RTOS is present, this function always spins to get the exact number of microseconds,
+ *    which potentially affects power (such as preventing deep sleep) and multithread performance.
+ *    You can avoid it by using Thread::wait().
  */
 void wait(float s);
@@ -54,4 +65,9 @@
  *
  *  @param ms the whole number of milliseconds to wait
+ *
+ *  @note
+ *    If the RTOS is present, this function always spins to get the exact number of microseconds,
+ *    which potentially affects power (such as preventing deep sleep) and multithread performance.
+ *    You can avoid it by using Thread::wait().
  */
 void wait_ms(int ms);
@@ -60,4 +76,8 @@
  *
  *  @param us the whole number of microseconds to wait
+ *
+ *  @note
+ *    If the RTOS is present, this function always spins to get the exact number of microseconds,
+ *    which potentially affects power (such as preventing deep sleep) and multithread performance.
  */
 void wait_us(int us);
@@ -70,2 +90,3 @@
 
 /** @}*/
+/** @}*/
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_wait_api_no_rtos.c
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_wait_api_no_rtos.c	(revision 373)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/platform/mbed_wait_api_no_rtos.c	(revision 374)
@@ -22,15 +22,19 @@
 #include "hal/us_ticker_api.h"
 
-void wait(float s) {
+void wait(float s)
+{
     wait_us(s * 1000000.0f);
 }
 
-void wait_ms(int ms) {
+void wait_ms(int ms)
+{
     wait_us(ms * 1000);
 }
 
-void wait_us(int us) {
-    uint32_t start = us_ticker_read();
-    while ((us_ticker_read() - start) < (uint32_t)us);
+void wait_us(int us)
+{
+    const ticker_data_t *const ticker = get_us_ticker_data();
+    uint32_t start = ticker_read(ticker);
+    while ((ticker_read(ticker) - start) < (uint32_t)us);
 }
 
Index: asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/rtos/TARGET_CORTEX/mbed_rtx_conf.h
===================================================================
--- asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/rtos/TARGET_CORTEX/mbed_rtx_conf.h	(revision 374)
+++ asp3_tinet_ecnl_arm/trunk/asp3_dcre/mbed/rtos/TARGET_CORTEX/mbed_rtx_conf.h	(revision 374)
@@ -0,0 +1,251 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2012 ARM Limited
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+ * SOFTWARE.
+ */
+#ifndef MBED_RTX_CONF_H
+#define MBED_RTX_CONF_H
+
+#include "mbed_rtx.h"
+
+/** Any access to RTX5 specific data structures used in common code should be wrapped in ifdef MBED_OS_BACKEND_RTX5 */
+#define MBED_OS_BACKEND_RTX5
+
+/** The thread's stack size can be configured by the application, if not explicitly specified it'll default to 4K */
+#ifndef MBED_CONF_APP_THREAD_STACK_SIZE
+#define MBED_CONF_APP_THREAD_STACK_SIZE 4096
+#endif
+
+#define OS_STACK_SIZE               MBED_CONF_APP_THREAD_STACK_SIZE
+
+/** The timer thread's stack size can be configured by the application, if not explicitly specified, it'll default to 768 */
+#ifndef MBED_CONF_APP_TIMER_THREAD_STACK_SIZE
+#define MBED_CONF_APP_TIMER_THREAD_STACK_SIZE   768
+#endif
+
+#define OS_TIMER_THREAD_STACK_SIZE  MBED_CONF_APP_TIMER_THREAD_STACK_SIZE
+
+/** The idle thread's stack size can be configured by the application, if not explicitly specified, it'll default to 512 */
+#ifndef MBED_CONF_APP_IDLE_THREAD_STACK_SIZE
+#define MBED_CONF_APP_IDLE_THREAD_STACK_SIZE    512
+#endif
+
+#define OS_IDLE_THREAD_STACK_SIZE   MBED_CONF_APP_IDLE_THREAD_STACK_SIZE
+
+#define OS_DYNAMIC_MEM_SIZE         0
+
+#if defined(OS_TICK_FREQ) && (OS_TICK_FREQ != 1000)
+#error "OS Tickrate must be 1000 for system timing"
+#endif
+
+#if !defined(OS_STACK_WATERMARK) && (defined(MBED_STACK_STATS_ENABLED) || defined(MBED_ALL_STATS_ENABLED))
+#define OS_STACK_WATERMARK          1
+#endif
+
+#if !defined(OS_STACK_WATERMARK) && defined(MBED_THREAD_STATS_ENABLED)
+#define OS_STACK_WATERMARK          1
+#endif
+
+
+#define OS_IDLE_THREAD_TZ_MOD_ID     1
+#define OS_TIMER_THREAD_TZ_MOD_ID    1
+
+
+// Don't adopt default multi-thread support for ARM/ARMC6 toolchains from RTX code base.
+// Provide Mbed-specific instead.
+#define RTX_NO_MULTITHREAD_CLIB
+// LIBSPACE default value set for ARMCC
+#define OS_THREAD_LIBSPACE_NUM      4
+
+#define OS_IDLE_THREAD_NAME         "idle_thread"
+#define OS_TIMER_THREAD_NAME        "timer_thread"
+
+/* Enable only the evr events we use in Mbed-OS to save flash space. */
+//Following events are used by Mbed-OS, DO NOT disable them
+//#define EVR_RTX_KERNEL_ERROR_DISABLE
+//#define EVR_RTX_THREAD_ERROR_DISABLE
+//#define EVR_RTX_THREAD_EXIT_DISABLE
+//#define EVR_RTX_THREAD_TERMINATE_DISABLE
+//#define EVR_RTX_TIMER_ERROR_DISABLE
+//#define EVR_RTX_EVENT_FLAGS_ERROR_DISABLE
+//#define EVR_RTX_MUTEX_ERROR_DISABLE
+//#define EVR_RTX_SEMAPHORE_ERROR_DISABLE
+//#define EVR_RTX_MEMORY_POOL_ERROR_DISABLE
+//#define EVR_RTX_MESSAGE_QUEUE_ERROR_DISABLE
+
+//Following events are NOT used by Mbed-OS, you may enable them if needed for debug purposes
+#define EVR_RTX_MEMORY_INIT_DISABLE
+#define EVR_RTX_MEMORY_ALLOC_DISABLE
+#define EVR_RTX_MEMORY_FREE_DISABLE
+#define EVR_RTX_MEMORY_BLOCK_INIT_DISABLE
+#define EVR_RTX_MEMORY_BLOCK_ALLOC_DISABLE
+#define EVR_RTX_MEMORY_BLOCK_FREE_DISABLE
+#define EVR_RTX_KERNEL_INITIALIZE_DISABLE
+#define EVR_RTX_KERNEL_INITIALIZED_DISABLE
+#define EVR_RTX_KERNEL_GET_INFO_DISABLE
+#define EVR_RTX_KERNEL_INFO_RETRIEVED_DISABLE
+#define EVR_RTX_KERNEL_GET_STATE_DISABLE
+#define EVR_RTX_KERNEL_START_DISABLE
+#define EVR_RTX_KERNEL_STARTED_DISABLE
+#define EVR_RTX_KERNEL_LOCK_DISABLE
+#define EVR_RTX_KERNEL_LOCKED_DISABLE
+#define EVR_RTX_KERNEL_UNLOCK_DISABLE
+#define EVR_RTX_KERNEL_UNLOCKED_DISABLE
+#define EVR_RTX_KERNEL_RESTORE_LOCK_DISABLE
+#define EVR_RTX_KERNEL_LOCK_RESTORED_DISABLE
+#define EVR_RTX_KERNEL_SUSPEND_DISABLE
+#define EVR_RTX_KERNEL_SUSPENDED_DISABLE
+#define EVR_RTX_KERNEL_RESUME_DISABLE
+#define EVR_RTX_KERNEL_RESUMED_DISABLE
+#define EVR_RTX_KERNEL_GET_TICK_COUNT_DISABLE
+#define EVR_RTX_KERNEL_GET_TICK_FREQ_DISABLE
+#define EVR_RTX_KERNEL_GET_SYS_TIMER_COUNT_DISABLE
+#define EVR_RTX_KERNEL_GET_SYS_TIMER_FREQ_DISABLE
+#define EVR_RTX_THREAD_NEW_DISABLE
+#define EVR_RTX_THREAD_CREATED_DISABLE
+#define EVR_RTX_THREAD_GET_NAME_DISABLE
+#define EVR_RTX_THREAD_GET_ID_DISABLE
+#define EVR_RTX_THREAD_GET_STATE_DISABLE
+#define EVR_RTX_THREAD_GET_STACK_SIZE_DISABLE
+#define EVR_RTX_THREAD_GET_STACK_SPACE_DISABLE
+#define EVR_RTX_THREAD_SET_PRIORITY_DISABLE
+#define EVR_RTX_THREAD_GET_PRIORITY_DISABLE
+#define EVR_RTX_THREAD_YIELD_DISABLE
+#define EVR_RTX_THREAD_SUSPEND_DISABLE
+#define EVR_RTX_THREAD_SUSPENDED_DISABLE
+#define EVR_RTX_THREAD_RESUME_DISABLE
+#define EVR_RTX_THREAD_RESUMED_DISABLE
+#define EVR_RTX_THREAD_DETACH_DISABLE
+#define EVR_RTX_THREAD_DETACHED_DISABLE
+#define EVR_RTX_THREAD_JOIN_DISABLE
+#define EVR_RTX_THREAD_JOIN_PENDING_DISABLE
+#define EVR_RTX_THREAD_JOINED_DISABLE
+#define EVR_RTX_THREAD_BLOCKED_DISABLE
+#define EVR_RTX_THREAD_UNBLOCKED_DISABLE
+#define EVR_RTX_THREAD_PREEMPTED_DISABLE
+#define EVR_RTX_THREAD_SWITCHED_DISABLE
+#define EVR_RTX_THREAD_DESTROYED_DISABLE
+#define EVR_RTX_THREAD_GET_COUNT_DISABLE
+#define EVR_RTX_THREAD_ENUMERATE_DISABLE
+#define EVR_RTX_THREAD_FLAGS_SET_DISABLE
+#define EVR_RTX_THREAD_FLAGS_SET_DONE_DISABLE
+#define EVR_RTX_THREAD_FLAGS_CLEAR_DISABLE
+#define EVR_RTX_THREAD_FLAGS_CLEAR_DONE_DISABLE
+#define EVR_RTX_THREAD_FLAGS_GET_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_PENDING_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_TIMEOUT_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_COMPLETED_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_NOT_COMPLETED_DISABLE
+#define EVR_RTX_THREAD_DELAY_DISABLE
+#define EVR_RTX_THREAD_DELAY_UNTIL_DISABLE
+#define EVR_RTX_THREAD_DELAY_COMPLETED_DISABLE
+#define EVR_RTX_TIMER_CALLBACK_DISABLE
+#define EVR_RTX_TIMER_NEW_DISABLE
+#define EVR_RTX_TIMER_CREATED_DISABLE
+#define EVR_RTX_TIMER_GET_NAME_DISABLE
+#define EVR_RTX_TIMER_START_DISABLE
+#define EVR_RTX_TIMER_STARTED_DISABLE
+#define EVR_RTX_TIMER_STOP_DISABLE
+#define EVR_RTX_TIMER_STOPPED_DISABLE
+#define EVR_RTX_TIMER_IS_RUNNING_DISABLE
+#define EVR_RTX_TIMER_DELETE_DISABLE
+#define EVR_RTX_TIMER_DESTROYED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_NEW_DISABLE
+#define EVR_RTX_EVENT_FLAGS_CREATED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_GET_NAME_DISABLE
+#define EVR_RTX_EVENT_FLAGS_SET_DISABLE
+#define EVR_RTX_EVENT_FLAGS_SET_DONE_DISABLE
+#define EVR_RTX_EVENT_FLAGS_CLEAR_DISABLE
+#define EVR_RTX_EVENT_FLAGS_CLEAR_DONE_DISABLE
+#define EVR_RTX_EVENT_FLAGS_GET_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_PENDING_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_TIMEOUT_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_COMPLETED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_NOT_COMPLETED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_DELETE_DISABLE
+#define EVR_RTX_EVENT_FLAGS_DESTROYED_DISABLE
+#define EVR_RTX_MUTEX_NEW_DISABLE
+#define EVR_RTX_MUTEX_CREATED_DISABLE
+#define EVR_RTX_MUTEX_GET_NAME_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRE_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRE_PENDING_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRE_TIMEOUT_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRED_DISABLE
+#define EVR_RTX_MUTEX_NOT_ACQUIRED_DISABLE
+#define EVR_RTX_MUTEX_RELEASE_DISABLE
+#define EVR_RTX_MUTEX_RELEASED_DISABLE
+#define EVR_RTX_MUTEX_GET_OWNER_DISABLE
+#define EVR_RTX_MUTEX_DELETE_DISABLE
+#define EVR_RTX_MUTEX_DESTROYED_DISABLE
+#define EVR_RTX_SEMAPHORE_NEW_DISABLE
+#define EVR_RTX_SEMAPHORE_CREATED_DISABLE
+#define EVR_RTX_SEMAPHORE_GET_NAME_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRE_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRE_PENDING_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRE_TIMEOUT_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRED_DISABLE
+#define EVR_RTX_SEMAPHORE_NOT_ACQUIRED_DISABLE
+#define EVR_RTX_SEMAPHORE_RELEASE_DISABLE
+#define EVR_RTX_SEMAPHORE_RELEASED_DISABLE
+#define EVR_RTX_SEMAPHORE_GET_COUNT_DISABLE
+#define EVR_RTX_SEMAPHORE_DELETE_DISABLE
+#define EVR_RTX_SEMAPHORE_DESTROYED_DISABLE
+#define EVR_RTX_MEMORY_POOL_NEW_DISABLE
+#define EVR_RTX_MEMORY_POOL_CREATED_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_NAME_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_PENDING_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_TIMEOUT_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOCATED_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_FAILED_DISABLE
+#define EVR_RTX_MEMORY_POOL_FREE_DISABLE
+#define EVR_RTX_MEMORY_POOL_DEALLOCATED_DISABLE
+#define EVR_RTX_MEMORY_POOL_FREE_FAILED_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_CAPACITY_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_BLOCK_SZIE_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_COUNT_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_SPACE_DISABLE
+#define EVR_RTX_MEMORY_POOL_DELETE_DISABLE
+#define EVR_RTX_MEMORY_POOL_DESTROYED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_NEW_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_CREATED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_NAME_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_PUT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_PUT_PENDING_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_PUT_TIMEOUT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_INSERT_PENDING_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_INSERTED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_NOT_INSERTED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_PENDING_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_TIMEOUT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_RETRIEVED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_NOT_RETRIEVED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_CAPACITY_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_MSG_SIZE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_COUNT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_SPACE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_RESET_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_RESET_DONE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_DELETE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_DESTROYED_DISABLE
+
+#endif /* MBED_RTX_CONF_H */
